package com.example.pmulabs.screensMobile

import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.background
import androidx.compose.foundation.border
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.PaddingValues
import androidx.compose.foundation.layout.offset
import androidx.compose.foundation.layout.requiredHeight
import androidx.compose.foundation.layout.requiredWidth
import androidx.compose.foundation.layout.wrapContentHeight
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController

@Composable
fun InfoScreen(navController: NavController,modifier: Modifier = Modifier) {
    LazyColumn(
        modifier = modifier
            .background(Color.White),
        contentPadding = PaddingValues(top =75.dp, bottom = 85.dp, start = 10.dp),
        verticalArrangement = Arrangement.spacedBy(15.dp)
    ) {
        item {
            Box(
                modifier = Modifier
                    .requiredWidth(width = 400.dp)
                    .requiredHeight(height = 309.dp)
            ) {
                Box(
                    modifier = Modifier
                        .align(alignment = Alignment.TopStart)
                        .offset(x = 0.dp,
                            y = 22.dp)
                        .requiredWidth(width = 393.dp)
                        .requiredHeight(height = 287.dp)
                ) {
                    Box(
                        modifier = Modifier
                            .requiredWidth(width = 393.dp)
                            .requiredHeight(height = 287.dp)
                            .clip(shape = RoundedCornerShape(5.dp))
                            .background(color = Color.White)
                            .border(border = BorderStroke(3.dp, Color(0xffdbdbf1)),
                                shape = RoundedCornerShape(5.dp)))
                    Text(
                        text="    iXBT.com — специализированный российский информационно-аналитический сайт с самыми актуальными новостями из сферы компьютерных и мобильных игр, развлекательной и интернет-индустрии, детальными обзорами персональных компьютеров, компьютерных комплектующих, периферийных устройств и техники для гейминга. Мы работаем для вас с 2007 года.\n\n    Наш адрес: \"115201, Москва, Каширское шоссе, д. 22 кор. 3 стр. 2; тел. +7(499)519-00-95\"",
                        color = Color(0xff423a99),
                        style = TextStyle(
                            fontSize = 15.sp,
                            fontWeight = FontWeight.Bold),
                        modifier = Modifier
                            .align(alignment = Alignment.TopStart)
                            .offset(x = 12.dp,
                                y = 27.dp)
                            .requiredWidth(width = 364.dp)
                            .requiredHeight(height = 250.dp)
                            .wrapContentHeight(align = Alignment.CenterVertically))

                }
                Box(
                    modifier = Modifier
                        .requiredWidth(width = 393.dp)
                        .requiredHeight(height = 44.dp)
                ) {
                    Box(
                        modifier = Modifier
                            .requiredWidth(width = 393.dp)
                            .requiredHeight(height = 44.dp)
                            .clip(shape = RoundedCornerShape(15.dp))
                            .background(color = Color(0xff423a99)))
                    Text(
                        text = "О сайте iXBT.com",
                        color = Color.White,
                        style = TextStyle(
                            fontSize = 17.sp,
                            fontWeight = FontWeight.Bold),
                        modifier = Modifier
                            .align(alignment = Alignment.TopStart)
                            .offset(x = 24.dp,
                                y = 0.dp)
                            .requiredWidth(width = 210.dp)
                            .requiredHeight(height = 44.dp)
                            .wrapContentHeight(align = Alignment.CenterVertically))
                }
            }
        }
        item {
            Box(
                modifier = Modifier
                    .offset(x = 0.dp,
                        y = 15.dp)
                    .requiredWidth(width = 400.dp)
                    .requiredHeight(height = 200.dp)
            ) {
                Box(
                    modifier = Modifier
                        .align(alignment = Alignment.TopStart)
                        .offset(x = 0.dp,
                            y = 23.dp)
                        .requiredWidth(width = 393.dp)
                        .requiredHeight(height = 177.dp)
                ) {
                    Box(
                        modifier = Modifier
                            .requiredWidth(width = 393.dp)
                            .requiredHeight(height = 177.dp)
                            .clip(shape = RoundedCornerShape(5.dp))
                            .background(color = Color.White)
                            .border(border = BorderStroke(3.dp, Color(0xffdbdbf1)),
                                shape = RoundedCornerShape(5.dp)))
                    Text(
                        text = "    Информация, размещенная на сайте iXBT.games, может быть изменена без предварительного уведомления. Все названия компаний, их логотипы и названия продуктов являются зарегистрированными торговыми марками соответствующих компаний.",
                        color = Color(0xff423a99),
                        style = TextStyle(
                            fontSize = 15.sp,
                            fontWeight = FontWeight.Bold),
                        modifier = Modifier
                            .align(alignment = Alignment.TopStart)
                            .offset(x = 12.dp,
                                y = 20.dp)
                            .requiredWidth(width = 364.dp)
                            .requiredHeight(height = 144.dp)
                            .wrapContentHeight(align = Alignment.CenterVertically))
                }
                Box(
                    modifier = Modifier
                        .requiredWidth(width = 393.dp)
                        .requiredHeight(height = 42.dp)
                ) {
                    Box(
                        modifier = Modifier
                            .requiredWidth(width = 393.dp)
                            .requiredHeight(height = 42.dp)
                            .clip(shape = RoundedCornerShape(15.dp))
                            .background(color = Color(0xff423a99)))
                    Text(
                        text = "Прежде всего",
                        color = Color.White,
                        style = TextStyle(
                            fontSize = 17.sp,
                            fontWeight = FontWeight.Bold),
                        modifier = Modifier
                            .align(alignment = Alignment.TopStart)
                            .offset(x = 24.dp,
                                y = 0.dp)
                            .requiredWidth(width = 210.dp)
                            .requiredHeight(height = 42.dp)
                            .wrapContentHeight(align = Alignment.CenterVertically))
                }
            }
        }
        item {
            Box(
                modifier = Modifier
                    .offset(x = 0.dp,
                        y = 25.dp)
                    .requiredWidth(width = 400.dp)
                    .requiredHeight(height = 782.dp)
            ) {
                Box(
                    modifier = Modifier
                        .align(alignment = Alignment.TopStart)
                        .offset(x = 0.dp,
                            y = 0.dp)
                        .requiredWidth(width = 393.dp)
                        .requiredHeight(height = 759.dp)
                ) {
                    Box(
                        modifier = Modifier
                            .requiredWidth(width = 393.dp)
                            .requiredHeight(height = 759.dp)
                            .clip(shape = RoundedCornerShape(5.dp))
                            .background(color = Color.White)
                            .border(border = BorderStroke(3.dp, Color(0xffdbdbf1)),
                                shape = RoundedCornerShape(5.dp)))
                    Text(
                        text = "    Проект iXBT.games (Ай-Экс-Би-Ти Дот Геймс) является частью проекта iXBT.com (Ай-Экс-Би-Ти Дот Ком) - интернет-портала, освещающего новости ИТ-индустрии, технологий, техники, ПО и сети Интернет.\n\n    Компания «Аспект Исследования и Публикации» (Aspect Research and Publishing, Ltd) имеет свидетельство о регистрации средства массовой информации iXBT.com (Ай-Экс-Би-Ти Дот Ком) за номером: ЭЛ № ФС 77 - 56280 от 28 ноября 2013 года. Свидетельство выдано Федеральной службой по надзору в сфере связи, информационных технологий и массовых коммуникаций в соответствии с Законом Российской Федерации от 27 декабря 1991 года.\n\n    Ранее электронное периодическое издание iXBT.com (Ай-Экс-Би-Ти Дот Ком) было зарегистрировано за номером: ЭЛ № ФС77-22565 от 20 декабря 2005. СМИ перерегистрировано в связи со сменой учредителя 28 ноября 2013 года.\n\n    Ранее электронное периодическое издание «Ай-Экс-Би-Ти дот ком / iXBT.com» («iXBT.com / Ай-Экс-Би-Ти дот ком») зарегистрировано Министерством Российской Федерации по делам печати, телерадиовещания и средств массовых коммуникаций — свидетельство ЭЛ № 77-6328 от 10 июня 2002 года. СМИ перерегистрировано в связи со сменой учредителя и изменением названия 20 декабря 2005 года.\n\n    На все материалы, опубликованные на сайте iXBT.games, распространяются нормы законодательства о СМИ РФ.",
                        color = Color(0xff423a99),
                        style = TextStyle(
                            fontSize = 15.sp,
                            fontWeight = FontWeight.Bold),
                        modifier = Modifier
                            .align(alignment = Alignment.TopStart)
                            .offset(x = 12.dp,
                                y = 30.dp)
                            .requiredWidth(width = 368.dp)
                            .requiredHeight(height = 727.dp)
                            .wrapContentHeight(align = Alignment.CenterVertically))
                }
                Box(
                    modifier = Modifier
                        .requiredWidth(width = 393.dp)
                        .requiredHeight(height = 42.dp)
                ) {
                    Box(
                        modifier = Modifier
                            .requiredWidth(width = 393.dp)
                            .requiredHeight(height = 42.dp)
                            .clip(shape = RoundedCornerShape(15.dp))
                            .background(color = Color(0xff423a99)))
                    Text(
                        text = "Правовые основы деятельности сайта",
                        color = Color.White,
                        style = TextStyle(
                            fontSize = 17.sp,
                            fontWeight = FontWeight.Bold),
                        modifier = Modifier
                            .align(alignment = Alignment.TopStart)
                            .offset(x = 24.dp,
                                y = 0.dp)
                            .requiredWidth(width = 354.dp)
                            .requiredHeight(height = 42.dp)
                            .wrapContentHeight(align = Alignment.CenterVertically))
                }
            }
        }
    }
}
